### Hierarchy

- DialogService

## Index

### Constructors

- constructor

### Properties

- componentFactory
- componentFactoryResolver
- injector
- placeholderService
- dialogRefs
- listeningForBodyClicks

### Methods

- close
- closeAll
- open
- setContext
- singletonClickListen
- closeAll

## Constructors

### constructor

- new DialogService(componentFactoryResolver: ComponentFactoryResolver, injector: Injector, placeholderService: PlaceholderService): DialogService

- - Defined in src/dialog/dialog.service.ts:42

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  - ##### injector: Injector

  - ##### placeholderService: PlaceholderService

  #### Returns DialogService

## Properties

### componentFactory

componentFactory: ComponentFactory<any>

- Defined in src/dialog/dialog.service.ts:42

### Protected componentFactoryResolver

componentFactoryResolver: ComponentFactoryResolver

- Defined in src/dialog/dialog.service.ts:48

### Protected injector

injector: Injector

- Defined in src/dialog/dialog.service.ts:49

### Protected placeholderService

placeholderService: PlaceholderService

- Defined in src/dialog/dialog.service.ts:50

### Static Protected dialogRefs

dialogRefs: Set<ComponentRef<Dialog>> = new Set<ComponentRef<Dialog>>()

- Defined in src/dialog/dialog.service.ts:27

### Static Protected listeningForBodyClicks

listeningForBodyClicks: boolean = false

- Defined in src/dialog/dialog.service.ts:22

## Methods

### close

- close(dialogRef: ComponentRef<Dialog>): void

- - Defined in src/dialog/dialog.service.ts:110

  #### Parameters

  - ##### dialogRef: ComponentRef<Dialog>

  #### Returns void

### closeAll

- closeAll(): void

- - Defined in src/dialog/dialog.service.ts:135

  #### Returns void

### open

- open(viewContainer: ViewContainerRef, dialogConfig: DialogConfig, component: any): ComponentRef<Dialog>

- - Defined in src/dialog/dialog.service.ts:71

  #### Parameters

  - ##### viewContainer: ViewContainerRef

  - ##### dialogConfig: DialogConfig

  - ##### Optional component: any

  #### Returns ComponentRef<Dialog>

### setContext

- setContext(options: object): void

- - Defined in src/dialog/dialog.service.ts:58

  #### Parameters

  - ##### options: object

    - ##### component: any

  #### Returns void

### singletonClickListen

- singletonClickListen(): void

- - Defined in src/dialog/dialog.service.ts:148

  #### Returns void

### Static closeAll

- closeAll(): void

- - Defined in src/dialog/dialog.service.ts:32

  #### Returns void

Generated using TypeDoc